@charset "utf-8";

.txob {
    font-family: "Orbitron", sans-serif;
    font-optical-sizing: auto;
    font-weight: bold;
    font-style: normal;
}

.txk {
    font-family: "Kdam Thmor Pro", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.txpr {
    font-family: "Pretendard Variable" !important;
    font-weight: 200;
}

.txp {
    font-family: "Pretendard Variable" !important;
    font-weight: 300;
    font-size: 16px;
}

.fs10 {
    font-size: 10px;
}

.fs12 {
    font-size: 12px;
}

.fs13 {
    font-size: 13px;
}

.fs14 {
    font-size: 14px;
}

.fs16 {
    font-size: 16px;
}

.fs18 {
    font-size: 18px;
}

.fs20 {
    font-size: 20px;
}

.fs30 {
    font-size: 30px;
}

.fw2 {
    font-weight: 200;
}

.fw3 {
    font-weight: 300;
}

.fw4 {
    font-weight: 400;
}

.fw5 {
    font-weight: 500;
}

.fw7 {
    font-weight: 700;
}

.fw9 {
    font-weight: 900;
}

.scroll-top {
    cursor: pointer; /* 마우스 오버 시 포인터 모양으로 변경 */
}

/* ★★★★★★★★★★★★★★★★★ margin, padding ★★★★★★★★★★★★★★★★★ */
.m-0 {
    margin: 0 !important;
}
.m-1 {
    margin: 4px !important;
}
.m-2 {
    margin: 8px !important;
}
.m-3 {
    margin: 16px !important;
}
.m-4 {
    margin: 24px !important;
}
.m-5 {
    margin: 32px !important;
}

.mt-0 {
    margin-top: 0 !important;
}
.mt-1 {
    margin-top: 4px !important;
}
.mt-2 {
    margin-top: 8px !important;
}
.mt-3 {
    margin-top: 16px !important;
}
.mt-4 {
    margin-top: 24px !important;
}
.mt-5 {
    margin-top: 32px !important;
}

.ms-0 {
    margin-left: 0 !important;
}
.ms-1 {
    margin-left: 4px !important;
}
.ms-2 {
    margin-left: 8px !important;
}
.ms-3 {
    margin-left: 16px !important;
}
.ms-4 {
    margin-left: 24px !important;
}
.ms-5 {
    margin-left: 32px !important;
}

.me-0 {
    margin-right: 0 !important;
}
.me-1 {
    margin-right: 4px !important;
}
.me-2 {
    margin-right: 8px !important;
}
.me-3 {
    margin-right: 16px !important;
}
.me-4 {
    margin-right: 24px !important;
}
.me-5 {
    margin-right: 32px !important;
}

.mb-0 {
    margin-bottom: 0 !important;
}
.mb-1 {
    margin-bottom: 4px !important;
}
.mb-2 {
    margin-bottom: 8px !important;
}
.mb-3 {
    margin-bottom: 16px !important;
}
.mb-4 {
    margin-bottom: 24px !important;
}
.mb-5 {
    margin-bottom: 32px !important;
}

.mx-0 {
    margin-left: 0 !important;
    margin-right: 0 !important;
}
.mx-1 {
    margin-left: 4px !important;
    margin-right: 4px !important;
}
.mx-2 {
    margin-left: 8px !important;
    margin-right: 8px !important;
}
.mx-3 {
    margin-left: 16px !important;
    margin-right: 16px !important;
}
.mx-4 {
    margin-left: 24px !important;
    margin-right: 24px !important;
}
.mx-5 {
    margin-left: 32px !important;
    margin-right: 32px !important;
}

.my-0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}
.my-1 {
    margin-top: 4px !important;
    margin-bottom: 4px !important;
}
.my-2 {
    margin-top: 8px !important;
    margin-bottom: 8px !important;
}
.my-3 {
    margin-top: 16px !important;
    margin-bottom: 16px !important;
}
.my-4 {
    margin-top: 24px !important;
    margin-bottom: 24px !important;
}
.my-5 {
    margin-top: 32px !important;
    margin-bottom: 32px !important;
}

/* 패딩 클래스 */
.p-0 {
    padding: 0 !important;
}
.p-1 {
    padding: 4px !important;
}
.p-2 {
    padding: 8px !important;
}
.p-3 {
    padding: 16px !important;
}
.p-4 {
    padding: 24px !important;
}
.p-5 {
    padding: 32px !important;
}

.pt-0 {
    padding-top: 0 !important;
}
.pt-1 {
    padding-top: 4px !important;
}
.pt-2 {
    padding-top: 8px !important;
}
.pt-3 {
    padding-top: 16px !important;
}
.pt-4 {
    padding-top: 24px !important;
}
.pt-5 {
    padding-top: 32px !important;
}

.ps-0 {
    padding-left: 0 !important;
}
.ps-1 {
    padding-left: 4px !important;
}
.ps-2 {
    padding-left: 8px !important;
}
.ps-3 {
    padding-left: 16px !important;
}
.ps-4 {
    padding-left: 24px !important;
}
.ps-5 {
    padding-left: 32px !important;
}

.pe-0 {
    padding-right: 0 !important;
}
.pe-1 {
    padding-right: 4px !important;
}
.pe-2 {
    padding-right: 8px !important;
}
.pe-3 {
    padding-right: 16px !important;
}
.pe-4 {
    padding-right: 24px !important;
}
.pe-5 {
    padding-right: 32px !important;
}

.pb-0 {
    padding-bottom: 0 !important;
}
.pb-1 {
    padding-bottom: 4px !important;
}
.pb-2 {
    padding-bottom: 8px !important;
}
.pb-3 {
    padding-bottom: 16px !important;
}
.pb-4 {
    padding-bottom: 24px !important;
}
.pb-5 {
    padding-bottom: 32px !important;
}

.px-0 {
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.px-1 {
    padding-left: 4px !important;
    padding-right: 4px !important;
}
.px-2 {
    padding-left: 8px !important;
    padding-right: 8px !important;
}
.px-3 {
    padding-left: 16px !important;
    padding-right: 16px !important;
}
.px-4 {
    padding-left: 24px !important;
    padding-right: 24px !important;
}
.px-5 {
    padding-left: 32px !important;
    padding-right: 32px !important;
}

.py-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
.py-1 {
    padding-top: 4px !important;
    padding-bottom: 4px !important;
}
.py-2 {
    padding-top: 8px !important;
    padding-bottom: 8px !important;
}
.py-3 {
    padding-top: 16px !important;
    padding-bottom: 16px !important;
}
.py-4 {
    padding-top: 24px !important;
    padding-bottom: 24px !important;
}
.py-5 {
    padding-top: 32px !important;
    padding-bottom: 32px !important;
}

/* ★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★ */

@media (max-width: 576px) {
    .kono1 {
        display: none !important;
    }
}
@media (min-width: 577px) {
    .kono2 {
        display: none !important;
    }
}

@media (max-width: 768px) {
    .kono3 {
        display: none !important;
    }
}
@media (min-width: 769px) {
    .kono4 {
        display: none !important;
    }
}

@media (max-width: 990px) {
    .kono-g {
        display: none !important;
    }
}

body {
    word-break: keep-all !important; /* 한글, 영어 단어별 줄바꿈 */
    overflow-wrap: break-word !important;
}

.lineb {
    word-wrap: break-word;
}

/* .fullscreen-btn-container {
  position: relative;
} */

.fullscreen-btn {
    cursor: pointer;
}

/* .fullscreen-btn {
  padding: 10px 20px;
  background-color: transparent; 
  border: 2px solid #a56433; 
  border-radius: 5px;
  cursor: pointer;
}

.fullscreen-btn:hover {
  color: #a56433;
}

.fullscreen-btn.active {
  background-color: #a56433;
} */

.icon {
    margin-right: 5px;
}

/* 마우스오버 이미지 투명도 */
.opa img {
    opacity: 0.5;
    transition: opacity 0.3s ease-in-out;
}

.opa img:hover {
    opacity: 1;
}

/* 마우스오버 이미지 어둡기*/
.opa2 img {
    filter: brightness(0.5);
    transition: filter 0.3s ease-in-out;
}

.opa2 img:hover {
    filter: brightness(1);
}

/* 마우스오버 이미지 크기 */
.opa3 img {
    transition: transform 0.3s ease-in-out;
}

/* 마우스 호버시 이미지 확대 */
.opa3 img:hover {
    transform: scale(1.2);
}

/* 마우스오버 이미지 떨림 */
.opa4 img {
    transition: transform 0.3s ease-in-out;
}

@keyframes shake {
    0% {
        transform: translate(0, 0);
    }
    25% {
        transform: translate(-5px, 0);
    }
    50% {
        transform: translate(5px, 0);
    }
    75% {
        transform: translate(-5px, 0);
    }
    100% {
        transform: translate(5px, 0);
    }
}

.opa4 img:hover {
    animation: shake 0.5s ease-in-out infinite;
}

/* 마우스오버 5도 회전 */
.opa5 img {
    transition: transform 0.3s ease-in-out;
}

.opa5 img:hover {
    transform: rotate(5deg);
}

.line-btn {
    /* <============ */
    display: inline-block;
    overflow: hidden;
    padding-bottom: 3px;
    position: relative;
    /* font-family: 'Lato', sans-serif;
	font-size: 13px;
	font-weight: 300;
	line-height: 1.2; */
    color: #fff;
}

.line-btn.black {
    color: #000;
}

.line-btn:before,
.line-btn:after {
    content: "";
    width: 100%;
    height: 1px;
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: #fff;
    transition: 0.5s cubic-bezier(0.858, 0.01, 0.068, 0.99);
}

.line-btn.black:before,
.line-btn.black:after {
    background-color: #000;
}

.line-btn:before {
    transition-delay: 0.25s;
}

.line-btn:after {
    -webkit-transform: translateX(-105%);
    transform: translateX(-105%);
}

.line-btn:hover:before {
    -webkit-transform: translateX(105%);
    transform: translateX(105%);
    transition-delay: 0s;
}

.line-btn:hover:after {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    transition-delay: 0.25s;
}

/* =============================================== */

/* ----------------------------------- */

/* 플레이 버튼 원 */
.play-toggle .play-circle {
    position: relative;
    width: 4rem;
    height: 4rem;
    background: white;
    border-radius: 50%;
    z-index: 3; /* 다른 원들보다 최상위로 설정 */
    transition: transform 350ms ease; /* 마우스 오버 시 크기 변화를 위한 설정 */
}

/* 마우스 오버 시 플레이 버튼 원과 아이콘 크기 커짐 */
.play-toggle:hover .play-circle,
.play-toggle:hover .play-icon {
    transform: scale(1.2); /* 크기가 커지도록 설정 */
}

/* 플레이 아이콘 */
.play-toggle .play-icon {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: white;
    border-radius: 50%;
    box-shadow: 0 3px 24px rgba(0, 0, 0, 0.3);
    transition: transform 350ms ease;
    z-index: 10000;
}

/* 삼각형 모양 아이콘 배경 색상 적용 */
.play-toggle .play-icon:after {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-35%, -50%);
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-left: 15px solid #0274fa; /* 여기에 배경색을 고정 */
    border-bottom: 10px solid transparent;
    z-index: 10000;
}

/* start animation */
@keyframes pulseLight {
    0% {
        opacity: 0.05;
        transform: scale(1);
    }
    50% {
        opacity: 0.3;
        transform: scale(1.1);
    }
    100% {
        opacity: 0.05;
        transform: scale(1);
    }
}

.play-toggle .pulse-ring {
    position: absolute;
    top: 50%;
    left: 50%;
    border-radius: 50%;
    background: white;
    opacity: 0.05;
    animation: pulseLight 2s infinite ease-in-out; /* 속도를 2초로 변경 */
    z-index: 1;
}

.play-toggle .pulse-ring {
    position: absolute;
    top: 50%;
    left: 50%;
    border-radius: 50%;
    background: white;
    opacity: 0.5;
    animation: pulseLight 2s infinite ease-in-out;
    z-index: 1;
}

/* 4개의 원을 추가하여 자연스럽게 순차적으로 밝아지게 설정 */
.play-toggle .pulse-ring:nth-child(1) {
    width: 5rem;
    height: 5rem;
    margin-left: -2.5rem;
    margin-top: -2.5rem;
    animation-delay: 0s;
}

.play-toggle .pulse-ring:nth-child(2) {
    width: 6rem;
    height: 6rem;
    margin-left: -3rem;
    margin-top: -3rem;
    animation-delay: 0.4s; /* 2번 원의 딜레이 */
}

.play-toggle .pulse-ring:nth-child(3) {
    width: 7rem;
    height: 7rem;
    margin-left: -3.5rem;
    margin-top: -3.5rem;
    animation-delay: 0.8s; /* 3번 원의 딜레이 */
}

.play-toggle .pulse-ring:nth-child(4) {
    width: 8rem;
    height: 8rem;
    margin-left: -4rem;
    margin-top: -4rem;
    animation-delay: 1.2s; /* 4번 원의 딜레이 */
}

.play-toggle .pulse-ring:nth-child(5) {
    width: 9rem;
    height: 9rem;
    margin-left: -4.5rem;
    margin-top: -4.5rem;
    animation-delay: 1.6s; /* 5번 원의 딜레이 */
}

.play-toggle .pulse-ring:nth-child(6) {
    width: 10rem;
    height: 10rem;
    margin-left: -5rem;
    margin-top: -5rem;
    animation-delay: 2s; /* 6번 원의 딜레이 */
}

.play-toggle .pulse-ring:nth-child(7) {
    width: 11rem;
    height: 11rem;
    margin-left: -5.5rem;
    margin-top: -5.5rem;
    animation-delay: 2.4s; /* 7번 원의 딜레이 */
}

/********************* play button end */

.ytb-btn {
    right: 200px !important;
    top: 46% !important;
}

/* md 사이즈 이상에서 버튼 숨기기 */
@media (max-width: 1400px) {
    .ytb-btn {
        display: none;
    }
}

/* 기존 모달 스타일 */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh; /* 화면 전체 크기 */
    background: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
    z-index: 10;
    transition: transform 0.5s ease-out;
    transform: translateY(-100%);
}

/* 버튼2 모달 스타일 (섹션 내에서 작동하도록 설정) */
.modal.modal-new {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
    z-index: 10;
    display: none; /* 초기에는 숨김 */
    transition: transform 0.5s ease-out;
    transform: translateY(-100%);
}

/* 기존 modal-content, video-container 스타일 유지 */
.modal-content {
    position: relative;
    width: 80%;
    max-width: 800px; /* 최대 크기 */
    background-color: white;
    padding: 2px;
    border-radius: 8px;
}

.video-container {
    position: relative;
    padding-top: 56.25%; /* 16:9 비율 유지 */
    overflow: hidden;
    background: #000;
    border-radius: 8px;
}

#youtubeIframe,
#youtubeIframeNew {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; /* 100% 너비 */
    height: 100%; /* 100% 높이 */
    border: none; /* iframe에 테두리 없애기 */
}

/* 모달 내 iframe이 16:9 비율로 나오도록 하기 위한 추가 스타일 */
.modal .video-container {
    padding-top: 56.25%; /* 16:9 비율 */
}

.modal.modal-new .video-container {
    padding-top: 56.25%; /* 16:9 비율 유지 */
}

@media (max-width: 768px) {
    .t-logo {
        margin-top: 50px !important;
    }

    .t-logo2 {
        font-size: 3.4rem !important;
    }

    .fs30 {
        font-size: 1.5rem !important;
        max-width: 70%;
    }

    .tel-num {
        margin-bottom: 40px !important;
    }

    .a-fs {
        font-size: 0.9rem !important;
    }
}

.dcr {
    background-color: rgba(255, 255, 255, 0.1) !important;
    /* border: solid 1px #336df9 !important; */
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.fa-brands.fa-html5.fa-fade {
    font-size: 1.7em;
}

.fa-brands.fa-android.fa-fade {
    font-size: 1.5em;
}

.fa-brands.fa-apple.fa-fade {
    font-size: 1.8em;
}

#playToggleNew {
    width: 300px;
    height: 300px;
    background-color: transparent;
    cursor: pointer;
    position: relative;
    /* 부모 요소를 기준으로 자식 요소들 위치를 설정 */
}

.showreel {
    margin-top: 50px;
    text-shadow: 2px 2px 1px black;
    color: white;
    position: absolute;
    top: 0;
    margin-left: 114px;
    transform: translateX(-50%);
    /* 중앙 정렬 */
}

.reel-box {
    width: 150px;
    height: 100px;
    background-color: transparent;
    border: 2px solid white;
    border-top: none;
    border-right: none;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.7);
    transition: background-color 0.3s ease;
    margin-top: 80px;
    margin-left: 75px;
}

@keyframes blink {
    0% {
        background-color: rgba(255, 255, 255, 0.5);
    }

    50% {
        background-color: rgba(255, 255, 255, 0);
    }

    100% {
        background-color: rgba(255, 255, 255, 0.5);
    }
}

.reel-box:hover {
    animation: blink 1s infinite;
}

.scroll-top span {
    position: relative;
    top: -20px;
}

.scroll-top p {
    position: relative;
    top: -5px;
    color: orange;
}

.mask-bg-3 {
    position: absolute;
    width: 300vw;
    height: 100%;
    left: 50%;
    right: 50%;
    margin-left: -190vw;
    margin-right: -70vw;
    border-radius: 7px;
}

.box-gallery-vertical.box-gallery-content .bg-mask-content .mask-bg-3:not(.background-main) {
    background-color: #090909;
}
.v-light:not(.no-light) .box-gallery-vertical.box-gallery-content .bg-mask-content .mask-bg-3:not(.background-main) {
    background-color: #e6e6e6;
}

@media only screen and (max-width: 991px) {
    .box-gallery-vertical.box-gallery-content .bg-mask-content .mask-bg-3 {
        display: none;
    }
}

.box-gallery-vertical.box-gallery-content.box-gallery-vertical-order .bg-mask-content .mask-bg-3 {
    width: 300vw;
}

.border1-box {
    position: absolute;
    top: 16px;
    left: 16px;
    width: 228px;
    height: 376px;
    border: 1px solid #dd9292;
    background-color: transparent;
    z-index: 0;
    pointer-events: none;
}

.cg-color {
    color: #a56433;
}

.v-light:not(.no-light) .cg-color {
    color: #646464;
}

.t-shadow {
    text-shadow: 2px 2px 1px black;
}

@keyframes shake-left-right {
    0% {
        transform: translateX(0);
    }
    25% {
        transform: translateX(-6px);
    }
    50% {
        transform: translateX(8px);
    }
    75% {
        transform: translateX(-6px);
    }
    100% {
        transform: translateX(0);
    }
}

.hover-shake:hover i {
    animation: shake-left-right 1s ease-in-out infinite;
}

/* portfolio side fix-menu */
.floating-menu {
    position: fixed;
    top: 50%;
    right: 24px;
    transform: translateY(-50%);
    z-index: 9999;
}

.floating-menu a {
    display: inline-block;
    background: linear-gradient(135deg, #4f46e5, #3b82f6);
    font-size: 12px;
    color: #fff;
    font-weight: 600;
    padding: 12px 20px;
    border-radius: 30px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
    text-decoration: none;
    transition: all 0.3s ease;
}

.floating-menu a:hover {
    background: linear-gradient(135deg, #4338ca, #2563eb);
    box-shadow: 0 10px 24px rgba(0, 0, 0, 0.3);
    transform: scale(1.05);
}

/* .v-light:not(.no-light)  */
